#!/usr/local/bin/python3
import numpy as np
import matplotlib.pyplot as plt
plt.style.use('science')

x=[]
y1 = []
y2 = []
y3 = []
import random
for i in range(0, 101):
    x.append(i)
    y1.append(random.randint(1,5))
    y2.append(random.randint(4,10))
    y3.append(random.randint(11,15))


l1, = plt.plot(x, y1, color = 'black', label = 'Too Young')
l2, = plt.plot(x, y2, color = 'green', label = 'Too Simple')
l3, = plt.plot(x, y3, color = 'blue', label = 'Sometimes Naive')

plt.title("I am angry")
plt.xlabel("+1s")
plt.ylabel("Excited")
plt.xlim(0, x[-1])

leg = plt.legend(handles=[l1, l2, l3], loc='lower right')
plt.setp(leg.get_texts()[0], color = 'black')
plt.setp(leg.get_texts()[1], color = 'green')
plt.setp(leg.get_texts()[2], color = 'blue')
plt.savefig('test.png', transparent=True)
#plt.show()
